diff --git a/templates/Fedora/42/etc/phpMyAdmin/config.inc.php b/templates/Fedora/42/etc/phpMyAdmin/config.inc.php
index b973a14..76ce8b2 100644
--- a/templates/Fedora/42/etc/phpMyAdmin/config.inc.php
+++ b/templates/Fedora/42/etc/phpMyAdmin/config.inc.php
@@ -10,10 +10,10 @@
declare(strict_types=1);
/**
- * This is needed for cookie based authentication to encrypt password in
- * cookie. Needs to be 32 chars long.
+ * This is needed for cookie based authentication to encrypt the cookie.
+ * Needs to be a 32-bytes long string of random bytes. See FAQ 2.10.
*/
-$cfg['blowfish_secret'] = '22ba7cd24c092bec00a83751012d0082'; /* YOU MUST FILL IN THIS FOR COOKIE AUTH! */
+$cfg['blowfish_secret'] = '26227697261f24526e194bb441ff689e'; /* YOU MUST FILL IN THIS FOR COOKIE AUTH! */
/**
* Servers configuration
@@ -147,6 +147,13 @@ $cfg['SaveDir'] = '/var/lib/phpMyAdmin/save';
*/
//$cfg['SendErrorReports'] = 'always';
+/**
+ * 'URLQueryEncryption' defines whether phpMyAdmin will encrypt sensitive data from the URL query string.
+ * 'URLQueryEncryptionSecretKey' is a 32 bytes long secret key used to encrypt/decrypt the URL query string.
+ */
+//$cfg['URLQueryEncryption'] = true;
+//$cfg['URLQueryEncryptionSecretKey'] = '';
+
/**
* You can find more configuration options in the documentation
* in the doc/ folder or at .
diff --git a/templates/Fedora/42/usr/lib/systemd/system/mariadb.service b/templates/Fedora/42/usr/lib/systemd/system/mariadb.service
index e1236bb..260b2ee 100644
--- a/templates/Fedora/42/usr/lib/systemd/system/mariadb.service
+++ b/templates/Fedora/42/usr/lib/systemd/system/mariadb.service
@@ -32,15 +32,34 @@ Type=notify
User=mysql
Group=mysql
+# Use an environment file to pass variable _WSREP_NEW_CLUSTER
+EnvironmentFile=-/run/mariadb/wsrep-new-cluster
+# Use an environment file to pass variable _WSREP_START_POSITION
+EnvironmentFile=-/run/mariadb/wsrep-start-position
+
ExecStartPre=/usr/libexec/mariadb-check-socket
# '%n' expands to 'Full unit name'; man systemd.unit
ExecStartPre=/usr/libexec/mariadb-prepare-db-dir %n
+
+# Perform automatic wsrep recovery. When server is started without wsrep,
+# galera_recovery simply returns an empty string. In any case, however,
+# the script is not expected to return with a non-zero status.
+# It is always safe to remove /run/mariadb/wsrep-start-position
+# environment file.
+# Do not panic if galera_recovery script is not available. (MDEV-10538)
+ExecStartPre=/bin/sh -c "[ ! -e /usr/bin/galera_recovery ] && VAR= || \
+ VAR=`/usr/bin/galera_recovery`; [ $? -eq 0 ] \
+ && echo _WSREP_START_POSITION=$VAR > /run/mariadb/wsrep-start-position || exit 1"
+
# MYSQLD_OPTS here is for users to set in /etc/systemd/system/mariadb@.service.d/MY_SPECIAL.conf
# Note: we set --basedir to prevent probes that might trigger SELinux alarms,
# per bug #547485
-ExecStart=/usr/libexec/mariadbd --basedir=/usr $MYSQLD_OPTS $_WSREP_NEW_CLUSTER
+ExecStart=/usr/libexec/mariadbd --basedir=/usr $MYSQLD_OPTS $_WSREP_NEW_CLUSTER $_WSREP_START_POSITION
ExecStartPost=/usr/libexec/mariadb-check-upgrade
+# Unset _WSREP_START_POSITION environment variable.
+ExecStartPost=/bin/rm -f /run/mariadb/wsrep-start-position
+
# Setting this to true can break replication and the Type=notify settings
# See also bind-address MariaDB option.
PrivateNetwork=false
diff --git a/templates/Fedora/42/usr/lib/systemd/system/mariadb@.service b/templates/Fedora/42/usr/lib/systemd/system/mariadb@.service
index ef60ec1..9999a22 100644
--- a/templates/Fedora/42/usr/lib/systemd/system/mariadb@.service
+++ b/templates/Fedora/42/usr/lib/systemd/system/mariadb@.service
@@ -54,14 +54,33 @@ Type=notify
User=mysql
Group=mysql
+# Use an environment file to pass variable _WSREP_NEW_CLUSTER
+EnvironmentFile=-/run/mariadb/wsrep-new-cluster
+# Use an environment file to pass variable _WSREP_START_POSITION
+EnvironmentFile=-/run/mariadb/wsrep-start-position
+
ExecStartPre=/usr/libexec/mariadb-check-socket --defaults-group-suffix=.%I
ExecStartPre=/usr/libexec/mariadb-prepare-db-dir --defaults-group-suffix=.%I %n
+
+# Perform automatic wsrep recovery. When server is started without wsrep,
+# galera_recovery simply returns an empty string. In any case, however,
+# the script is not expected to return with a non-zero status.
+# It is always safe to remove /run/mariadb/wsrep-start-position
+# environment file.
+# Do not panic if galera_recovery script is not available. (MDEV-10538)
+ExecStartPre=/bin/sh -c "[ ! -e /usr/bin/galera_recovery ] && VAR= || \
+ VAR=`/usr/bin/galera_recovery`; [ $? -eq 0 ] \
+ && echo _WSREP_START_POSITION=$VAR > /run/mariadb/wsrep-start-position || exit 1"
+
# MYSQLD_OPTS here is for users to set in /etc/systemd/system/mariadb@.service.d/MY_SPECIAL.conf
# Note: we set --basedir to prevent probes that might trigger SELinux alarms,
# per bug #547485
-ExecStart=/usr/libexec/mariadbd --defaults-group-suffix=.%I --basedir=/usr $MYSQLD_OPTS $_WSREP_NEW_CLUSTER
+ExecStart=/usr/libexec/mariadbd --defaults-group-suffix=.%I --basedir=/usr $MYSQLD_OPTS $_WSREP_NEW_CLUSTER $_WSREP_START_POSITION
ExecStartPost=/usr/libexec/mariadb-check-upgrade --defaults-group-suffix=.%I
+# Unset _WSREP_START_POSITION environment variable.
+ExecStartPost=/bin/rm -f /run/mariadb/wsrep-start-position
+
# Setting this to true can break replication and the Type=notify settings
# See also bind-address MariaDB option.
PrivateNetwork=false
diff --git a/templates/Fedora/43/etc/phpMyAdmin/config.inc.php b/templates/Fedora/43/etc/phpMyAdmin/config.inc.php
index b973a14..76ce8b2 100644
--- a/templates/Fedora/43/etc/phpMyAdmin/config.inc.php
+++ b/templates/Fedora/43/etc/phpMyAdmin/config.inc.php
@@ -10,10 +10,10 @@
declare(strict_types=1);
/**
- * This is needed for cookie based authentication to encrypt password in
- * cookie. Needs to be 32 chars long.
+ * This is needed for cookie based authentication to encrypt the cookie.
+ * Needs to be a 32-bytes long string of random bytes. See FAQ 2.10.
*/
-$cfg['blowfish_secret'] = '22ba7cd24c092bec00a83751012d0082'; /* YOU MUST FILL IN THIS FOR COOKIE AUTH! */
+$cfg['blowfish_secret'] = '26227697261f24526e194bb441ff689e'; /* YOU MUST FILL IN THIS FOR COOKIE AUTH! */
/**
* Servers configuration
@@ -147,6 +147,13 @@ $cfg['SaveDir'] = '/var/lib/phpMyAdmin/save';
*/
//$cfg['SendErrorReports'] = 'always';
+/**
+ * 'URLQueryEncryption' defines whether phpMyAdmin will encrypt sensitive data from the URL query string.
+ * 'URLQueryEncryptionSecretKey' is a 32 bytes long secret key used to encrypt/decrypt the URL query string.
+ */
+//$cfg['URLQueryEncryption'] = true;
+//$cfg['URLQueryEncryptionSecretKey'] = '';
+
/**
* You can find more configuration options in the documentation
* in the doc/ folder or at .
diff --git a/templates/Fedora/43/usr/lib/systemd/system/mariadb.service b/templates/Fedora/43/usr/lib/systemd/system/mariadb.service
index e1236bb..260b2ee 100644
--- a/templates/Fedora/43/usr/lib/systemd/system/mariadb.service
+++ b/templates/Fedora/43/usr/lib/systemd/system/mariadb.service
@@ -32,15 +32,34 @@ Type=notify
User=mysql
Group=mysql
+# Use an environment file to pass variable _WSREP_NEW_CLUSTER
+EnvironmentFile=-/run/mariadb/wsrep-new-cluster
+# Use an environment file to pass variable _WSREP_START_POSITION
+EnvironmentFile=-/run/mariadb/wsrep-start-position
+
ExecStartPre=/usr/libexec/mariadb-check-socket
# '%n' expands to 'Full unit name'; man systemd.unit
ExecStartPre=/usr/libexec/mariadb-prepare-db-dir %n
+
+# Perform automatic wsrep recovery. When server is started without wsrep,
+# galera_recovery simply returns an empty string. In any case, however,
+# the script is not expected to return with a non-zero status.
+# It is always safe to remove /run/mariadb/wsrep-start-position
+# environment file.
+# Do not panic if galera_recovery script is not available. (MDEV-10538)
+ExecStartPre=/bin/sh -c "[ ! -e /usr/bin/galera_recovery ] && VAR= || \
+ VAR=`/usr/bin/galera_recovery`; [ $? -eq 0 ] \
+ && echo _WSREP_START_POSITION=$VAR > /run/mariadb/wsrep-start-position || exit 1"
+
# MYSQLD_OPTS here is for users to set in /etc/systemd/system/mariadb@.service.d/MY_SPECIAL.conf
# Note: we set --basedir to prevent probes that might trigger SELinux alarms,
# per bug #547485
-ExecStart=/usr/libexec/mariadbd --basedir=/usr $MYSQLD_OPTS $_WSREP_NEW_CLUSTER
+ExecStart=/usr/libexec/mariadbd --basedir=/usr $MYSQLD_OPTS $_WSREP_NEW_CLUSTER $_WSREP_START_POSITION
ExecStartPost=/usr/libexec/mariadb-check-upgrade
+# Unset _WSREP_START_POSITION environment variable.
+ExecStartPost=/bin/rm -f /run/mariadb/wsrep-start-position
+
# Setting this to true can break replication and the Type=notify settings
# See also bind-address MariaDB option.
PrivateNetwork=false
diff --git a/templates/Fedora/43/usr/lib/systemd/system/mariadb@.service b/templates/Fedora/43/usr/lib/systemd/system/mariadb@.service
index ef60ec1..9999a22 100644
--- a/templates/Fedora/43/usr/lib/systemd/system/mariadb@.service
+++ b/templates/Fedora/43/usr/lib/systemd/system/mariadb@.service
@@ -54,14 +54,33 @@ Type=notify
User=mysql
Group=mysql
+# Use an environment file to pass variable _WSREP_NEW_CLUSTER
+EnvironmentFile=-/run/mariadb/wsrep-new-cluster
+# Use an environment file to pass variable _WSREP_START_POSITION
+EnvironmentFile=-/run/mariadb/wsrep-start-position
+
ExecStartPre=/usr/libexec/mariadb-check-socket --defaults-group-suffix=.%I
ExecStartPre=/usr/libexec/mariadb-prepare-db-dir --defaults-group-suffix=.%I %n
+
+# Perform automatic wsrep recovery. When server is started without wsrep,
+# galera_recovery simply returns an empty string. In any case, however,
+# the script is not expected to return with a non-zero status.
+# It is always safe to remove /run/mariadb/wsrep-start-position
+# environment file.
+# Do not panic if galera_recovery script is not available. (MDEV-10538)
+ExecStartPre=/bin/sh -c "[ ! -e /usr/bin/galera_recovery ] && VAR= || \
+ VAR=`/usr/bin/galera_recovery`; [ $? -eq 0 ] \
+ && echo _WSREP_START_POSITION=$VAR > /run/mariadb/wsrep-start-position || exit 1"
+
# MYSQLD_OPTS here is for users to set in /etc/systemd/system/mariadb@.service.d/MY_SPECIAL.conf
# Note: we set --basedir to prevent probes that might trigger SELinux alarms,
# per bug #547485
-ExecStart=/usr/libexec/mariadbd --defaults-group-suffix=.%I --basedir=/usr $MYSQLD_OPTS $_WSREP_NEW_CLUSTER
+ExecStart=/usr/libexec/mariadbd --defaults-group-suffix=.%I --basedir=/usr $MYSQLD_OPTS $_WSREP_NEW_CLUSTER $_WSREP_START_POSITION
ExecStartPost=/usr/libexec/mariadb-check-upgrade --defaults-group-suffix=.%I
+# Unset _WSREP_START_POSITION environment variable.
+ExecStartPost=/bin/rm -f /run/mariadb/wsrep-start-position
+
# Setting this to true can break replication and the Type=notify settings
# See also bind-address MariaDB option.
PrivateNetwork=false
diff --git a/templates/Fedora/44/etc/phpMyAdmin/config.inc.php b/templates/Fedora/44/etc/phpMyAdmin/config.inc.php
index b973a14..76ce8b2 100644
--- a/templates/Fedora/44/etc/phpMyAdmin/config.inc.php
+++ b/templates/Fedora/44/etc/phpMyAdmin/config.inc.php
@@ -10,10 +10,10 @@
declare(strict_types=1);
/**
- * This is needed for cookie based authentication to encrypt password in
- * cookie. Needs to be 32 chars long.
+ * This is needed for cookie based authentication to encrypt the cookie.
+ * Needs to be a 32-bytes long string of random bytes. See FAQ 2.10.
*/
-$cfg['blowfish_secret'] = '22ba7cd24c092bec00a83751012d0082'; /* YOU MUST FILL IN THIS FOR COOKIE AUTH! */
+$cfg['blowfish_secret'] = '26227697261f24526e194bb441ff689e'; /* YOU MUST FILL IN THIS FOR COOKIE AUTH! */
/**
* Servers configuration
@@ -147,6 +147,13 @@ $cfg['SaveDir'] = '/var/lib/phpMyAdmin/save';
*/
//$cfg['SendErrorReports'] = 'always';
+/**
+ * 'URLQueryEncryption' defines whether phpMyAdmin will encrypt sensitive data from the URL query string.
+ * 'URLQueryEncryptionSecretKey' is a 32 bytes long secret key used to encrypt/decrypt the URL query string.
+ */
+//$cfg['URLQueryEncryption'] = true;
+//$cfg['URLQueryEncryptionSecretKey'] = '';
+
/**
* You can find more configuration options in the documentation
* in the doc/ folder or at .
diff --git a/templates/Fedora/44/usr/lib/systemd/system/mariadb.service b/templates/Fedora/44/usr/lib/systemd/system/mariadb.service
index e1236bb..260b2ee 100644
--- a/templates/Fedora/44/usr/lib/systemd/system/mariadb.service
+++ b/templates/Fedora/44/usr/lib/systemd/system/mariadb.service
@@ -32,15 +32,34 @@ Type=notify
User=mysql
Group=mysql
+# Use an environment file to pass variable _WSREP_NEW_CLUSTER
+EnvironmentFile=-/run/mariadb/wsrep-new-cluster
+# Use an environment file to pass variable _WSREP_START_POSITION
+EnvironmentFile=-/run/mariadb/wsrep-start-position
+
ExecStartPre=/usr/libexec/mariadb-check-socket
# '%n' expands to 'Full unit name'; man systemd.unit
ExecStartPre=/usr/libexec/mariadb-prepare-db-dir %n
+
+# Perform automatic wsrep recovery. When server is started without wsrep,
+# galera_recovery simply returns an empty string. In any case, however,
+# the script is not expected to return with a non-zero status.
+# It is always safe to remove /run/mariadb/wsrep-start-position
+# environment file.
+# Do not panic if galera_recovery script is not available. (MDEV-10538)
+ExecStartPre=/bin/sh -c "[ ! -e /usr/bin/galera_recovery ] && VAR= || \
+ VAR=`/usr/bin/galera_recovery`; [ $? -eq 0 ] \
+ && echo _WSREP_START_POSITION=$VAR > /run/mariadb/wsrep-start-position || exit 1"
+
# MYSQLD_OPTS here is for users to set in /etc/systemd/system/mariadb@.service.d/MY_SPECIAL.conf
# Note: we set --basedir to prevent probes that might trigger SELinux alarms,
# per bug #547485
-ExecStart=/usr/libexec/mariadbd --basedir=/usr $MYSQLD_OPTS $_WSREP_NEW_CLUSTER
+ExecStart=/usr/libexec/mariadbd --basedir=/usr $MYSQLD_OPTS $_WSREP_NEW_CLUSTER $_WSREP_START_POSITION
ExecStartPost=/usr/libexec/mariadb-check-upgrade
+# Unset _WSREP_START_POSITION environment variable.
+ExecStartPost=/bin/rm -f /run/mariadb/wsrep-start-position
+
# Setting this to true can break replication and the Type=notify settings
# See also bind-address MariaDB option.
PrivateNetwork=false
diff --git a/templates/Fedora/44/usr/lib/systemd/system/mariadb@.service b/templates/Fedora/44/usr/lib/systemd/system/mariadb@.service
index ef60ec1..9999a22 100644
--- a/templates/Fedora/44/usr/lib/systemd/system/mariadb@.service
+++ b/templates/Fedora/44/usr/lib/systemd/system/mariadb@.service
@@ -54,14 +54,33 @@ Type=notify
User=mysql
Group=mysql
+# Use an environment file to pass variable _WSREP_NEW_CLUSTER
+EnvironmentFile=-/run/mariadb/wsrep-new-cluster
+# Use an environment file to pass variable _WSREP_START_POSITION
+EnvironmentFile=-/run/mariadb/wsrep-start-position
+
ExecStartPre=/usr/libexec/mariadb-check-socket --defaults-group-suffix=.%I
ExecStartPre=/usr/libexec/mariadb-prepare-db-dir --defaults-group-suffix=.%I %n
+
+# Perform automatic wsrep recovery. When server is started without wsrep,
+# galera_recovery simply returns an empty string. In any case, however,
+# the script is not expected to return with a non-zero status.
+# It is always safe to remove /run/mariadb/wsrep-start-position
+# environment file.
+# Do not panic if galera_recovery script is not available. (MDEV-10538)
+ExecStartPre=/bin/sh -c "[ ! -e /usr/bin/galera_recovery ] && VAR= || \
+ VAR=`/usr/bin/galera_recovery`; [ $? -eq 0 ] \
+ && echo _WSREP_START_POSITION=$VAR > /run/mariadb/wsrep-start-position || exit 1"
+
# MYSQLD_OPTS here is for users to set in /etc/systemd/system/mariadb@.service.d/MY_SPECIAL.conf
# Note: we set --basedir to prevent probes that might trigger SELinux alarms,
# per bug #547485
-ExecStart=/usr/libexec/mariadbd --defaults-group-suffix=.%I --basedir=/usr $MYSQLD_OPTS $_WSREP_NEW_CLUSTER
+ExecStart=/usr/libexec/mariadbd --defaults-group-suffix=.%I --basedir=/usr $MYSQLD_OPTS $_WSREP_NEW_CLUSTER $_WSREP_START_POSITION
ExecStartPost=/usr/libexec/mariadb-check-upgrade --defaults-group-suffix=.%I
+# Unset _WSREP_START_POSITION environment variable.
+ExecStartPost=/bin/rm -f /run/mariadb/wsrep-start-position
+
# Setting this to true can break replication and the Type=notify settings
# See also bind-address MariaDB option.
PrivateNetwork=false